Skip to main content
POST
/
v1
/
cards
/
spend-controls
/
batch
Batch set spend controls
curl --request POST \
  --url https://sandbox.apocor.ai/v1/cards/spend-controls/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "applicant_id": "app_abc123",
  "items": [
    {
      "usage": "MCC",
      "keywords": "5812",
      "list_type": "BLACKLIST"
    },
    {
      "usage": "MCC",
      "keywords": "7995",
      "list_type": "BLACKLIST"
    }
  ]
}
'
import requests

url = "https://sandbox.apocor.ai/v1/cards/spend-controls/batch"

payload = {
"applicant_id": "app_abc123",
"items": [
{
"usage": "MCC",
"keywords": "5812",
"list_type": "BLACKLIST"
},
{
"usage": "MCC",
"keywords": "7995",
"list_type": "BLACKLIST"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicant_id: 'app_abc123',
items: [
{usage: 'MCC', keywords: '5812', list_type: 'BLACKLIST'},
{usage: 'MCC', keywords: '7995', list_type: 'BLACKLIST'}
]
})
};

fetch('https://sandbox.apocor.ai/v1/cards/spend-controls/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "updated": 2
  }
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Body

application/json
applicant_id
string
required
items
object[]
required
enable_sub_account
boolean

Response

200 - application/json

Batch spend controls saved.

data
object